> For the complete documentation index, see [llms.txt](https://docs.api.ecoinvent.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.ecoinvent.org/api-reference/life-cycle-inventory-lci.md).

# Life Cycle Inventory (LCI)

## Retrieve the life cycle inventory of a dataset

> This endpoint returns the elementary exchanges that make up the life cycle inventory of a dataset.

```json
{"openapi":"3.1.0","info":{"title":"ecoQuery User API","version":"0.0.1"},"servers":[{"url":"https://api.ecoinvent.org"}],"security":[{"OAuth2ClientCredentials":[]},{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://sso.ecoinvent.org/realms/ecoinvent/protocol/openid-connect/token"}}},"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"https://sso.ecoinvent.org/realms/ecoinvent/protocol/openid-connect/token"}}}},"schemas":{"LCIResponse":{"properties":{"offset":{"type":"integer","title":"Offset"},"limit":{"type":"integer","title":"Limit"},"total":{"type":"integer","title":"Total","description":"Total number of results"},"version":{"type":"string","title":"Version"},"system_model":{"type":"string","title":"System Model"},"dataset_id":{"type":"integer","title":"Dataset Id"},"results":{"items":{"$ref":"#/components/schemas/LCIEntry"},"type":"array","title":"Results"}},"type":"object","required":["offset","limit","total","version","system_model","dataset_id"],"title":"LCIResponse","description":"A page of the life cycle inventory of a dataset."},"LCIEntry":{"properties":{"elementary_exchange":{"$ref":"#/components/schemas/NamedReference"},"compartment":{"$ref":"#/components/schemas/NamedReference"},"sub_compartment":{"$ref":"#/components/schemas/NamedReference"},"unit":{"$ref":"#/components/schemas/NamedReference"},"amount":{"type":"number","title":"Amount","description":"Cumulative amount per unit of the dataset's reference product"}},"type":"object","required":["elementary_exchange","compartment","sub_compartment","unit","amount"],"title":"LCIEntry","description":"A single elementary exchange of a life cycle inventory."},"NamedReference":{"properties":{"spold_uuid":{"title":"Spold Uuid","description":"UUID of the entity in spold, when available","type":"string","format":"uuid"},"name":{"type":"string","title":"Name","description":"Name of the entity"}},"type":"object","required":["name"],"title":"NamedReference","description":"A named entity of an exchange."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v3/api1/datasets/{id}/lci":{"get":{"tags":["api"],"summary":"Retrieve the life cycle inventory of a dataset","description":"This endpoint returns the elementary exchanges that make up the life cycle inventory of a dataset.","operationId":"get_dataset_lci_v3_v3_api1_datasets__id__lci_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","description":"Dataset ID to retrieve","title":"Id"},"description":"Dataset ID to retrieve"},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Pagination start index","default":0,"title":"Offset"},"description":"Pagination start index"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Number of results to return","default":20,"title":"Limit"},"description":"Number of results to return"},{"name":"version","in":"query","required":false,"schema":{"type":"string","description":"Version name or 'latest'","default":"latest","title":"Version"},"description":"Version name or 'latest'"},{"name":"system_model","in":"query","required":false,"schema":{"type":"string","description":"System model name or 'cutoff'","default":"cutoff","title":"System Model"},"description":"System model name or 'cutoff'"}],"responses":{"200":{"description":"Successful response with the requested life cycle inventory","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LCIResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Forbidden","content":{"application/json":{}}},"404":{"description":"Requested resource not found","content":{"application/json":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{}}}}}}}}
```
